%define		upstream_name_scheme %{name}-scheme
Name:		chibi
Version:	0.6.1
Release:	%mkrel 2
Summary:	A small-footprint library for use as a C Extension Language
Source0:	https://chibi-scheme.googlecode.com/files/%{upstream_name_scheme}-%{version}.tgz
Group:		Development/Tools
License:	BSD
URL:		https://code.google.com/p/chibi-scheme/
Provides:	%{upstream_name_scheme} = %{version}-%{release}

%description
%{name} is a very small library intended for use as an extension
and scripting language in C programs.  In addition to support for
lightweight VM-based threads, each VM itself runs in an isolated heap
allowing multiple VMs to run simultaneously in different OS threads.


%package	devel
Summary:	Development files for the %{name} package
Group:		Development/Tools
Provides:	%{upstream_name_scheme}-devel = %{version}-%{release}

%description	devel
This package contains development and include files for the
%{name} package.


%prep
%setup -qn %{upstream_name_scheme}-%{version}

%build
make	PREFIX=%{_prefix} LIBDIR=%{_libdir} SOLIBDIR=%{_libdir} \
	BINMODDIR=%{_libdir}/%{name} CFLAGS="%{optflags}" \
	LDFLAGS="%{ldflags}" all

%install
make	PREFIX=%{_prefix} LIBDIR=%{_libdir} SOLIBDIR=%{_libdir} \
	BINMODDIR=%{_libdir}/%{name} DESTDIR=%{buildroot} install

%files
%doc AUTHORS COPYING README
%{_mandir}/man1/%{name}-*.1*
%{_bindir}/%{name}-*
%{_libdir}/%{name}
%{_libdir}/libchibi-scheme.so
%{_datadir}/%{name}

%files devel
%{_includedir}/%{name}



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.6.1-2.mga4
+ Revision: 530257
- Mageia 4 Mass Rebuild

* Sun Jul 21 2013 malo <malo> 0.6.1-1.mga4
+ Revision: 456893
- disable parallel build
- Initial package prepared by marja, help by kamil

